#ifndef CRYPTO_H
#define CRYPTO_H

#include "types.h"

ByteBuffer* decrypt_gcm(const uint8_t* key, size_t key_len, const uint8_t* blob, size_t blob_len);

ByteBuffer* get_encrypted_master_key(const wchar_t* local_state_path);

ByteBuffer* decrypt_master_key_via_com(const BrowserConfig* config, const uint8_t* encrypted_key, size_t encrypted_key_len);

#endif // CRYPTO_H